<?php 
// WordPress Actions and Filters code to disable Gutenberg Duotone Filter 
// Test each code block according to your installation


//To Disable WordPress Gutenberg Duotone Filter which is hard coded to version 5.9+ that adds XML code for SVG support after body tag
function rankya_remove_global_styles() {
remove_action( 'wp_body_open', 'wp_global_styles_render_svg_filters' );
remove_action( 'in_admin_header', 'wp_global_styles_render_svg_filters' );
}
add_action('after_setup_theme', 'rankya_remove_global_styles', 10, 0);






function rankya_remove_wp_render_duotone_support_and_global_styles() {
  // remove SVG and global styles
  remove_action('wp_enqueue_scripts', 'wp_enqueue_global_styles');
  // remove wp_footer actions for global inline styles
  remove_action('wp_footer', 'wp_enqueue_global_styles', 1);
  // remove render_block filters 
  remove_filter('render_block', 'wp_render_duotone_support');
  remove_filter('render_block', 'wp_restore_group_inner_container');
  remove_filter('render_block', 'wp_render_layout_support_flag');
}
add_action('after_setup_theme', 'rankya_remove_wp_render_duotone_support_and_global_styles', 10, 0);







//Try if using WordPress Core Theme (e.g. twentytwentyone, twentytwentytwo)
add_action('wp_print_styles', 'rankya_remove_styles', 100000);
add_action('wp_print_footer_scripts', 'rankya_remove_styles', 100000);
function rankya_remove_styles(){
	wp_deregister_style('global-styles');
    wp_dequeue_style('global-styles');

} //removes global inline styles



//RankYa Fan special.
//If you are NOT using Gutenberg Block Editor on your WordPress site. Then, disable the wp-block-library styles completely
add_action('wp_print_styles', 'rankya_remove_styles', 100000);
add_action('wp_print_footer_scripts', 'rankya_remove_styles', 100000);
function rankya_remove_styles(){
    wp_deregister_style('wp-block-library');
    wp_dequeue_style('wp-block-library');
	wp_deregister_style('wp-block-library-theme');
    wp_dequeue_style('wp-block-library-theme');
	wp_deregister_style('global-styles');
    wp_dequeue_style('global-styles');

} //end remove styles









// if you DO NEED the duotone_support for safari, perhaps something like this may help
$user_agent = $_SERVER['HTTP_USER_AGENT'];
if (stripos( $user_agent, 'Safari') !== false) {
   //run code for Safari here. Basically leave empty
} else {
function rankya_remove_global_styles() {
remove_action( 'wp_body_open', 'wp_global_styles_render_svg_filters' );
remove_action( 'in_admin_header', 'wp_global_styles_render_svg_filters' );
}
add_action('after_setup_theme', 'rankya_remove_global_styles', 10, 0);







$user_agent = $_SERVER['HTTP_USER_AGENT']; 

if (stripos( $user_agent, 'Chrome') !== false) {
    //run code for Google Chrome here
add_action('wp_head', 'browser_check_by_rankya');
function browser_check_by_rankya(){
	?>
	  <!--RankYa Google Chrome check-->
<?php
};
} //end if (stripos( $user_agent, 'Chrome') !== false)

elseif (stripos( $user_agent, 'Safari') !== false) {
   //run code for Safari here. Basically leave empty
} else {
function rankya_remove_global_styles() {
remove_action( 'wp_body_open', 'wp_global_styles_render_svg_filters' );
remove_action( 'in_admin_header', 'wp_global_styles_render_svg_filters' );
}
add_action('after_setup_theme', 'rankya_remove_global_styles', 10, 0);

} //end else



